Package org.apache.sysds.runtime.iogen

## Enum MappingTrieNode.Type

- java.lang.Object
- - java.lang.Enum<MappingTrieNode.Type>
  - - org.apache.sysds.runtime.iogen.MappingTrieNode.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<MappingTrieNode.Type>`

Enclosing class:
  MappingTrieNode

    public static enum MappingTrieNode.Type
    extends Enum<MappingTrieNode.Type>

### Enum Constant Summary

Enum Constants
`END`
`IGNORE`
`INNER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static MappingTrieNode.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MappingTrieNode.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INNER

    public static final MappingTrieNode.Type INNER

#### END

    public static final MappingTrieNode.Type END

#### IGNORE

    public static final MappingTrieNode.Type IGNORE

### Method Detail

#### values

    public static MappingTrieNode.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MappingTrieNode.Type c : MappingTrieNode.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MappingTrieNode.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MappingTrieNode.Type>`